ActiveMQDefaultConfiguration (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.config

## Class ActiveMQDefaultConfiguration

- java.lang.Object
- - org.apache.activemq.artemis.api.config.ActiveMQDefaultConfiguration

-     public final class ActiveMQDefaultConfiguration
      extends Object

  Default values of ActiveMQ Artemis configuration parameters.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getDefaultBindingsDirectory()` the directory to store the persisted bindings to
    `static int` | `getDefaultBridgeConfirmationWindowSize()` Once the bridge has received this many bytes, it sends a confirmation
    `static int` | `getDefaultBridgeConnectSameNode()` Upon reconnection this configures the number of time the same node on the topology will be retried before reseting the server locator and using the initial connectors
    `static int` | `getDefaultBridgeInitialConnectAttempts()` maximum number of initial connection attempts, -1 means 'no limits'
    `static int` | `getDefaultBridgeReconnectAttempts()` maximum number of retry attempts, -1 means 'no limits'
    `static long` | `getDefaultBroadcastPeriod()` period in milliseconds between consecutive broadcasts
    `static int` | `getDefaultBroadcastRefreshTimeout()` Period the discovery group waits after receiving the last broadcast from a particular server before removing that servers connector pair entry from its list.
    `static long` | `getDefaultClientFailureCheckPeriod()`
    `static long` | `getDefaultClusterCallFailoverTimeout()` How long to wait for a reply if in the middle of a fail-over.
    `static long` | `getDefaultClusterCallTimeout()` How long to wait for a reply
    `static int` | `getDefaultClusterConfirmationWindowSize()` The size (in bytes) of the window used for confirming data from the server connected to.
    `static long` | `getDefaultClusterConnectionTtl()` how long to keep a connection alive in the absence of any data arriving from the client
    `static long` | `getDefaultClusterFailureCheckPeriod()` The period (in milliseconds) used to check if the cluster connection has failed to receive pings from another server
    `static int` | `getDefaultClusterInitialConnectAttempts()` How many attempts should be made to connect initially
    `static int` | `getDefaultClusterMaxHops()` maximum number of hops cluster topology is propagated
    `static long` | `getDefaultClusterMaxRetryInterval()` Maximum value for retry-interval
    `static String` | `getDefaultClusterMessageLoadBalancingType()` should messages be load balanced if there are no matching consumers on target?
    `static int` | `getDefaultClusterNotificationAttempts()` how many times this cluster connection will notify the cluster of its existence right after joining the cluster
    `static long` | `getDefaultClusterNotificationInterval()` how often the cluster connection will notify the cluster of its existence right after joining the cluster
    `static String` | `getDefaultClusterPassword()` Cluster password.
    `static int` | `getDefaultClusterReconnectAttempts()` How many attempts should be made to reconnect after failure
    `static long` | `getDefaultClusterRetryInterval()` period (in ms) between successive retries
    `static double` | `getDefaultClusterRetryIntervalMultiplier()` multiplier to apply to the retry-interval
    `static String` | `getDefaultClusterUser()` Cluster username.
    `static long` | `getDefaultConnectionTtl()` how long to keep a connection alive in the absence of any data arriving from the client.
    `static long` | `getDefaultConnectionTtlOverride()` if set, this will override how long (in ms) to keep a connection alive without receiving a ping.
    `static long` | `getDefaultFailbackDelay()` Deprecated. use getDefaultInitialReplicationSyncTimeout()
    `static long` | `getDefaultFileDeployerScanPeriod()`
    `static long` | `getDefaultGracefulShutdownTimeout()` true means that graceful shutdown is enabled
    `static int` | `getDefaultGroupingHandlerGroupTimeout()` How long a group binding will be used, -1 means for ever.
    `static long` | `getDefaultGroupingHandlerReaperPeriod()` How often the reaper will be run to check for timed out group bindings.
    `static int` | `getDefaultGroupingHandlerTimeout()` How long to wait for a decision
    `static int` | `getDefaultHapolicyBackupPortOffset()` The offset to use for the Connectors and Acceptors when creating a new backup server.
    `static int` | `getDefaultHapolicyBackupRequestRetries()` How many times the live server will try to request a backup, -1 means for ever.
    `static long` | `getDefaultHapolicyBackupRequestRetryInterval()` How long to wait for retries between attempts to request a backup server.
    `static String` | `getDefaultHapolicyBackupStrategy()` The backup strategy to use if we are a backup or for any colocated backups.
    `static int` | `getDefaultHapolicyMaxBackups()` Whether or not this live server will accept backup requests from other live servers.
    `static String` | `getDefaultHapolicyType()` what kind of HA Policy should we use
    `static int` | `getDefaultIdCacheSize()` the size of the cache for pre-creating message ID's
    `static long` | `getDefaultInitialReplicationSyncTimeout()` if we have to start as a replicated server this is the delay to wait before fail-back occurs
    `static String` | `getDefaultJmxDomain()` the JMX domain used to registered ActiveMQ Artemis MBeans in the MBeanServer
    `static int` | `getDefaultJournalBufferSizeAio()`
    `static int` | `getDefaultJournalBufferSizeNio()`
    `static int` | `getDefaultJournalBufferTimeoutAio()`
    `static int` | `getDefaultJournalBufferTimeoutNio()`
    `static int` | `getDefaultJournalCompactMinFiles()` The minimal number of data files before we can start compacting
    `static int` | `getDefaultJournalCompactPercentage()` The percentage of live data on which we consider compacting the journal
    `static String` | `getDefaultJournalDir()` the directory to store the journal files in
    `static int` | `getDefaultJournalFileSize()` the size (in bytes) of each journal file
    `static long` | `getDefaultJournalLockAcquisitionTimeout()` how long (in ms) to wait to acquire a file lock on the journal
    `static int` | `getDefaultJournalMaxIoAio()`
    `static int` | `getDefaultJournalMaxIoNio()`
    `static int` | `getDefaultJournalMinFiles()` how many journal files to pre-create
    `static int` | `getDefaultJournalPerfBlastPages()` XXX Only meant to be used by project developers
    `static int` | `getDefaultJournalPoolFiles()` How many journal files can be resued
    `static String` | `getDefaultLargeMessagesDir()` the directory to store large messages
    `static SimpleString` | `getDefaultManagementAddress()` the name of the management address to send management messages to.
    `static SimpleString` | `getDefaultManagementNotificationAddress()` the name of the address that consumers bind to receive management notifications
    `static int` | `getDefaultMaxConcurrentPageIo()` The max number of concurrent reads allowed on paging
    `static long` | `getDefaultMaxRetryInterval()` Limit to the retry-interval growth (due to retry-interval-multiplier)
    `static int` | `getDefaultMaxSavedReplicatedJournalsSize()` This specifies how many times a replicated backup server can restart after moving its files on start.
    `static long` | `getDefaultMemoryMeasureInterval()` frequency to sample JVM memory in ms (or -1 to disable memory sampling)
    `static int` | `getDefaultMemoryWarningThreshold()` Percentage of available memory which will trigger a warning log
    `static int` | `getDefaultMessageCounterMaxDayHistory()` how many days to keep message counter history
    `static long` | `getDefaultMessageCounterSamplePeriod()` the sample period (in ms) to use for message counters
    `static long` | `getDefaultMessageExpiryScanPeriod()` how often (in ms) to scan for expired messages
    `static int` | `getDefaultMessageExpiryThreadPriority()` the priority of the thread expiring messages
    `static String` | `getDefaultPagingDir()` the directory to store paged messages in
    `static double` | `getDefaultRetryIntervalMultiplier()` multiplier to apply to successive retry intervals
    `static int` | `getDefaultScheduledThreadPoolMaxSize()` Maximum number of threads to use for the scheduled thread pool
    `static long` | `getDefaultSecurityInvalidationInterval()` how long (in ms) to wait before invalidating the security cache
    `static long` | `getDefaultServerDumpInterval()` Interval to log server specific information (e.g.
    `static int` | `getDefaultThreadPoolMaxSize()` Maximum number of threads to use for the thread pool.
    `static long` | `getDefaultTransactionTimeout()` how long (in ms) before a transaction can be removed from the resource manager after create time
    `static long` | `getDefaultTransactionTimeoutScanPeriod()` how often (in ms) to scan for timeout transactions
    `static String` | `getPropMaskPassword()`
    `static String` | `getPropPasswordCodec()`
    `static boolean` | `isDefaultAllowAutoFailback()` Whether a server will automatically stop when another places a request to take over its place.
    `static boolean` | `isDefaultAsyncConnectionExecutionEnabled()` should certain incoming packets on the server be handed off to a thread from the thread pool for processing or should they be handled on the remoting thread?
    `static boolean` | `isDefaultBridgeDuplicateDetection()` should duplicate detection headers be inserted in forwarded messages?
    `static boolean` | `isDefaultCheckForLiveServer()` Whether to check the cluster for a (live) server using our own server ID when starting up.
    `static boolean` | `isDefaultClusterDuplicateDetection()` should duplicate detection headers be inserted in forwarded messages?
    `static boolean` | `isDefaultClusterForwardWhenNoConsumers()`
    `static boolean` | `isDefaultCreateBindingsDir()` true means that the server will create the bindings directory on start up
    `static boolean` | `isDefaultCreateJournalDir()` true means that the journal directory will be created
    `static boolean` | `isDefaultDivertExclusive()` whether this is an exclusive divert
    `static boolean` | `isDefaultFailoverOnServerShutdown()` Will this backup server come live on a normal server shutdown
    `static boolean` | `isDefaultFileDeploymentEnabled()` true means that the server will load configuration from the configuration files
    `static boolean` | `isDefaultGracefulShutdownEnabled()` true means that graceful shutdown is enabled
    `static boolean` | `isDefaultHapolicyRequestBackup()` If true then the server will request a backup on another node
    `static boolean` | `isDefaultJmxManagementEnabled()` true means that the management API is available via JMX
    `static boolean` | `isDefaultJournalLogWriteRate()` Whether to log messages about the journal write rate
    `static boolean` | `isDefaultJournalSyncNonTransactional()` if true wait for non transaction data to be synced to the journal before returning response to client.
    `static boolean` | `isDefaultJournalSyncTransactional()` if true wait for transaction data to be synchronized to the journal before returning response to client
    `static boolean` | `isDefaultMaskPassword()` This option controls whether passwords in server configuration need be masked.
    `static boolean` | `isDefaultMessageCounterEnabled()` true means that message counters are enabled
    `static boolean` | `isDefaultPersistDeliveryCountBeforeDelivery()` True means that the delivery count is persisted before delivery.
    `static boolean` | `isDefaultPersistenceEnabled()` true means that the server will use the file based journal for persistence.
    `static boolean` | `isDefaultPersistIdCache()` true means that ID's are persisted to the journal
    `static boolean` | `isDefaultResolveProtocols()` If true then the ActiveMQ Artemis Server will make use of any Protocol Managers that are in available on the classpath.
    `static boolean` | `isDefaultRestartBackup()` Will this server, if a backup, restart once it has been stopped because of failback or scaling down.
    `static boolean` | `isDefaultRunSyncSpeedTest()` XXX Only meant to be used by project developers
    `static boolean` | `isDefaultScaleDownEnabled()` its possible that you only want a server to partake in scale down as a receiver, via a group.
    `static boolean` | `isDefaultSecurityEnabled()` true means that security is enabled
    `static boolean` | `isDefaultWildcardRoutingEnabled()` true means that the server supports wild card routing

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDefaultClientFailureCheckPeriod

          public static long getDefaultClientFailureCheckPeriod()

    - #### getDefaultFileDeployerScanPeriod

          public static long getDefaultFileDeployerScanPeriod()

    - #### getDefaultJournalMaxIoAio

          public static int getDefaultJournalMaxIoAio()

    - #### getDefaultJournalBufferTimeoutAio

          public static int getDefaultJournalBufferTimeoutAio()

    - #### getDefaultJournalBufferSizeAio

          public static int getDefaultJournalBufferSizeAio()

    - #### getDefaultJournalMaxIoNio

          public static int getDefaultJournalMaxIoNio()

    - #### getDefaultJournalBufferTimeoutNio

          public static int getDefaultJournalBufferTimeoutNio()

    - #### getDefaultJournalBufferSizeNio

          public static int getDefaultJournalBufferSizeNio()

    - #### getPropMaskPassword

          public static String getPropMaskPassword()

    - #### getPropPasswordCodec

          public static String getPropPasswordCodec()

    - #### getDefaultHapolicyType

          public static String getDefaultHapolicyType()

      what kind of HA Policy should we use

    - #### getDefaultHapolicyBackupStrategy

          public static String getDefaultHapolicyBackupStrategy()

      The backup strategy to use if we are a backup or for any colocated backups.

    - #### isDefaultResolveProtocols

          public static boolean isDefaultResolveProtocols()

      If true then the ActiveMQ Artemis Server will make use of any Protocol Managers that are in available on the classpath. If false then only the core protocol will be available, unless in Embedded mode where users can inject their own Protocol Managers.

    - #### isDefaultFileDeploymentEnabled

          public static boolean isDefaultFileDeploymentEnabled()

      true means that the server will load configuration from the configuration files

    - #### isDefaultPersistenceEnabled

          public static boolean isDefaultPersistenceEnabled()

      true means that the server will use the file based journal for persistence.

    - #### getDefaultScheduledThreadPoolMaxSize

          public static int getDefaultScheduledThreadPoolMaxSize()

      Maximum number of threads to use for the scheduled thread pool

    - #### getDefaultThreadPoolMaxSize

          public static int getDefaultThreadPoolMaxSize()

      Maximum number of threads to use for the thread pool. -1 means 'no limits'.

    - #### isDefaultSecurityEnabled

          public static boolean isDefaultSecurityEnabled()

      true means that security is enabled

    - #### isDefaultGracefulShutdownEnabled

          public static boolean isDefaultGracefulShutdownEnabled()

      true means that graceful shutdown is enabled

    - #### getDefaultGracefulShutdownTimeout

          public static long getDefaultGracefulShutdownTimeout()

      true means that graceful shutdown is enabled

    - #### getDefaultSecurityInvalidationInterval

          public static long getDefaultSecurityInvalidationInterval()

      how long (in ms) to wait before invalidating the security cache

    - #### getDefaultJournalLockAcquisitionTimeout

          public static long getDefaultJournalLockAcquisitionTimeout()

      how long (in ms) to wait to acquire a file lock on the journal

    - #### isDefaultWildcardRoutingEnabled

          public static boolean isDefaultWildcardRoutingEnabled()

      true means that the server supports wild card routing

    - #### getDefaultManagementAddress

          public static SimpleString getDefaultManagementAddress()

      the name of the management address to send management messages to. It is prefixed with "jms.queue" so that JMS clients can send messages to it.

    - #### getDefaultManagementNotificationAddress

          public static SimpleString getDefaultManagementNotificationAddress()

      the name of the address that consumers bind to receive management notifications

    - #### getDefaultClusterUser

          public static String getDefaultClusterUser()

      Cluster username. It applies to all cluster configurations.

    - #### getDefaultClusterPassword

          public static String getDefaultClusterPassword()

      Cluster password. It applies to all cluster configurations.

    - #### isDefaultMaskPassword

          public static boolean isDefaultMaskPassword()

      This option controls whether passwords in server configuration need be masked. If set to "true" the passwords are masked.

    - #### isDefaultJmxManagementEnabled

          public static boolean isDefaultJmxManagementEnabled()

      true means that the management API is available via JMX

    - #### getDefaultJmxDomain

          public static String getDefaultJmxDomain()

      the JMX domain used to registered ActiveMQ Artemis MBeans in the MBeanServer

    - #### isDefaultMessageCounterEnabled

          public static boolean isDefaultMessageCounterEnabled()

      true means that message counters are enabled

    - #### getDefaultMessageCounterSamplePeriod

          public static long getDefaultMessageCounterSamplePeriod()

      the sample period (in ms) to use for message counters

    - #### getDefaultMessageCounterMaxDayHistory

          public static int getDefaultMessageCounterMaxDayHistory()

      how many days to keep message counter history

    - #### getDefaultConnectionTtlOverride

          public static long getDefaultConnectionTtlOverride()

      if set, this will override how long (in ms) to keep a connection alive without receiving a ping. -1 disables this setting.

    - #### isDefaultAsyncConnectionExecutionEnabled

          public static boolean isDefaultAsyncConnectionExecutionEnabled()

      should certain incoming packets on the server be handed off to a thread from the thread pool for processing or should they be handled on the remoting thread?

    - #### getDefaultTransactionTimeout

          public static long getDefaultTransactionTimeout()

      how long (in ms) before a transaction can be removed from the resource manager after create time

    - #### getDefaultTransactionTimeoutScanPeriod

          public static long getDefaultTransactionTimeoutScanPeriod()

      how often (in ms) to scan for timeout transactions

    - #### getDefaultMessageExpiryScanPeriod

          public static long getDefaultMessageExpiryScanPeriod()

      how often (in ms) to scan for expired messages

    - #### getDefaultMessageExpiryThreadPriority

          public static int getDefaultMessageExpiryThreadPriority()

      the priority of the thread expiring messages

    - #### getDefaultIdCacheSize

          public static int getDefaultIdCacheSize()

      the size of the cache for pre-creating message ID's

    - #### isDefaultPersistIdCache

          public static boolean isDefaultPersistIdCache()

      true means that ID's are persisted to the journal

    - #### isDefaultPersistDeliveryCountBeforeDelivery

          public static boolean isDefaultPersistDeliveryCountBeforeDelivery()

      True means that the delivery count is persisted before delivery. False means that this only happens after a message has been cancelled.

    - #### getDefaultPagingDir

          public static String getDefaultPagingDir()

      the directory to store paged messages in

    - #### getDefaultBindingsDirectory

          public static String getDefaultBindingsDirectory()

      the directory to store the persisted bindings to

    - #### isDefaultCreateBindingsDir

          public static boolean isDefaultCreateBindingsDir()

      true means that the server will create the bindings directory on start up

    - #### getDefaultMaxConcurrentPageIo

          public static int getDefaultMaxConcurrentPageIo()

      The max number of concurrent reads allowed on paging

    - #### getDefaultJournalDir

          public static String getDefaultJournalDir()

      the directory to store the journal files in

    - #### isDefaultCreateJournalDir

          public static boolean isDefaultCreateJournalDir()

      true means that the journal directory will be created

    - #### isDefaultJournalSyncTransactional

          public static boolean isDefaultJournalSyncTransactional()

      if true wait for transaction data to be synchronized to the journal before returning response to client

    - #### isDefaultJournalSyncNonTransactional

          public static boolean isDefaultJournalSyncNonTransactional()

      if true wait for non transaction data to be synced to the journal before returning response to client.

    - #### isDefaultJournalLogWriteRate

          public static boolean isDefaultJournalLogWriteRate()

      Whether to log messages about the journal write rate

    - #### getDefaultJournalFileSize

          public static int getDefaultJournalFileSize()

      the size (in bytes) of each journal file

    - #### getDefaultJournalMinFiles

          public static int getDefaultJournalMinFiles()

      how many journal files to pre-create

    - #### getDefaultJournalPoolFiles

          public static int getDefaultJournalPoolFiles()

      How many journal files can be resued
      Returns:

    - #### getDefaultJournalCompactPercentage

          public static int getDefaultJournalCompactPercentage()

      The percentage of live data on which we consider compacting the journal

    - #### getDefaultJournalCompactMinFiles

          public static int getDefaultJournalCompactMinFiles()

      The minimal number of data files before we can start compacting

    - #### getDefaultJournalPerfBlastPages

          public static int getDefaultJournalPerfBlastPages()

      XXX Only meant to be used by project developers

    - #### isDefaultRunSyncSpeedTest

          public static boolean isDefaultRunSyncSpeedTest()

      XXX Only meant to be used by project developers

    - #### getDefaultServerDumpInterval

          public static long getDefaultServerDumpInterval()

      Interval to log server specific information (e.g. memory usage etc)

    - #### getDefaultMemoryWarningThreshold

          public static int getDefaultMemoryWarningThreshold()

      Percentage of available memory which will trigger a warning log

    - #### getDefaultMemoryMeasureInterval

          public static long getDefaultMemoryMeasureInterval()

      frequency to sample JVM memory in ms (or -1 to disable memory sampling)

    - #### getDefaultLargeMessagesDir

          public static String getDefaultLargeMessagesDir()

      the directory to store large messages

    - #### getDefaultBroadcastPeriod

          public static long getDefaultBroadcastPeriod()

      period in milliseconds between consecutive broadcasts

    - #### getDefaultBroadcastRefreshTimeout

          public static int getDefaultBroadcastRefreshTimeout()

      Period the discovery group waits after receiving the last broadcast from a particular server before removing that servers connector pair entry from its list.

    - #### getDefaultConnectionTtl

          public static long getDefaultConnectionTtl()

      how long to keep a connection alive in the absence of any data arriving from the client. This should be greater than the ping period.

    - #### getDefaultRetryIntervalMultiplier

          public static double getDefaultRetryIntervalMultiplier()

      multiplier to apply to successive retry intervals

    - #### getDefaultMaxRetryInterval

          public static long getDefaultMaxRetryInterval()

      Limit to the retry-interval growth (due to retry-interval-multiplier)

    - #### getDefaultBridgeInitialConnectAttempts

          public static int getDefaultBridgeInitialConnectAttempts()

      maximum number of initial connection attempts, -1 means 'no limits'

    - #### getDefaultBridgeReconnectAttempts

          public static int getDefaultBridgeReconnectAttempts()

      maximum number of retry attempts, -1 means 'no limits'

    - #### isDefaultBridgeDuplicateDetection

          public static boolean isDefaultBridgeDuplicateDetection()

      should duplicate detection headers be inserted in forwarded messages?

    - #### getDefaultBridgeConfirmationWindowSize

          public static int getDefaultBridgeConfirmationWindowSize()

      Once the bridge has received this many bytes, it sends a confirmation

    - #### getDefaultBridgeConnectSameNode

          public static int getDefaultBridgeConnectSameNode()

      Upon reconnection this configures the number of time the same node on the topology will be retried before reseting the server locator and using the initial connectors

    - #### getDefaultClusterFailureCheckPeriod

          public static long getDefaultClusterFailureCheckPeriod()

      The period (in milliseconds) used to check if the cluster connection has failed to receive pings from another server

    - #### getDefaultClusterConnectionTtl

          public static long getDefaultClusterConnectionTtl()

      how long to keep a connection alive in the absence of any data arriving from the client

    - #### getDefaultClusterCallTimeout

          public static long getDefaultClusterCallTimeout()

      How long to wait for a reply

    - #### getDefaultClusterRetryInterval

          public static long getDefaultClusterRetryInterval()

      period (in ms) between successive retries

    - #### getDefaultClusterRetryIntervalMultiplier

          public static double getDefaultClusterRetryIntervalMultiplier()

      multiplier to apply to the retry-interval

    - #### getDefaultClusterMaxRetryInterval

          public static long getDefaultClusterMaxRetryInterval()

      Maximum value for retry-interval

    - #### getDefaultClusterInitialConnectAttempts

          public static int getDefaultClusterInitialConnectAttempts()

      How many attempts should be made to connect initially

    - #### getDefaultClusterReconnectAttempts

          public static int getDefaultClusterReconnectAttempts()

      How many attempts should be made to reconnect after failure

    - #### isDefaultClusterDuplicateDetection

          public static boolean isDefaultClusterDuplicateDetection()

      should duplicate detection headers be inserted in forwarded messages?

    - #### isDefaultClusterForwardWhenNoConsumers

          public static boolean isDefaultClusterForwardWhenNoConsumers()

    - #### getDefaultClusterMessageLoadBalancingType

          public static String getDefaultClusterMessageLoadBalancingType()

      should messages be load balanced if there are no matching consumers on target?

    - #### getDefaultClusterMaxHops

          public static int getDefaultClusterMaxHops()

      maximum number of hops cluster topology is propagated

    - #### getDefaultClusterConfirmationWindowSize

          public static int getDefaultClusterConfirmationWindowSize()

      The size (in bytes) of the window used for confirming data from the server connected to.

    - #### getDefaultClusterCallFailoverTimeout

          public static long getDefaultClusterCallFailoverTimeout()

      How long to wait for a reply if in the middle of a fail-over. -1 means wait forever.

    - #### getDefaultClusterNotificationInterval

          public static long getDefaultClusterNotificationInterval()

      how often the cluster connection will notify the cluster of its existence right after joining the cluster

    - #### getDefaultClusterNotificationAttempts

          public static int getDefaultClusterNotificationAttempts()

      how many times this cluster connection will notify the cluster of its existence right after joining the cluster

    - #### isDefaultDivertExclusive

          public static boolean isDefaultDivertExclusive()

      whether this is an exclusive divert

    - #### isDefaultHapolicyRequestBackup

          public static boolean isDefaultHapolicyRequestBackup()

      If true then the server will request a backup on another node

    - #### getDefaultHapolicyBackupRequestRetries

          public static int getDefaultHapolicyBackupRequestRetries()

      How many times the live server will try to request a backup, -1 means for ever.

    - #### getDefaultHapolicyBackupRequestRetryInterval

          public static long getDefaultHapolicyBackupRequestRetryInterval()

      How long to wait for retries between attempts to request a backup server.

    - #### getDefaultHapolicyMaxBackups

          public static int getDefaultHapolicyMaxBackups()

      Whether or not this live server will accept backup requests from other live servers.

    - #### getDefaultHapolicyBackupPortOffset

          public static int getDefaultHapolicyBackupPortOffset()

      The offset to use for the Connectors and Acceptors when creating a new backup server.

    - #### isDefaultCheckForLiveServer

          public static boolean isDefaultCheckForLiveServer()

      Whether to check the cluster for a (live) server using our own server ID when starting up. This option is only necessary for performing 'fail-back' on replicating servers. Strictly speaking this setting only applies to live servers and not to backups.

    - #### getDefaultMaxSavedReplicatedJournalsSize

          public static int getDefaultMaxSavedReplicatedJournalsSize()

      This specifies how many times a replicated backup server can restart after moving its files on start. Once there are this number of backup journal files the server will stop permanently after if fails back.

    - #### isDefaultRestartBackup

          public static boolean isDefaultRestartBackup()

      Will this server, if a backup, restart once it has been stopped because of failback or scaling down.

    - #### isDefaultAllowAutoFailback

          public static boolean isDefaultAllowAutoFailback()

      Whether a server will automatically stop when another places a request to take over its place. The use case is when a regular server stops and its backup takes over its duties, later the main server restarts and requests the server (the former backup) to stop operating.

    - #### getDefaultInitialReplicationSyncTimeout

          public static long getDefaultInitialReplicationSyncTimeout()

      if we have to start as a replicated server this is the delay to wait before fail-back occurs

    - #### getDefaultFailbackDelay

          @Deprecated
          public static long getDefaultFailbackDelay()

      Deprecated. use getDefaultInitialReplicationSyncTimeout()
      if we have to start as a replicated server this is the delay to wait before fail-back occurs

    - #### isDefaultFailoverOnServerShutdown

          public static boolean isDefaultFailoverOnServerShutdown()

      Will this backup server come live on a normal server shutdown

    - #### isDefaultScaleDownEnabled

          public static boolean isDefaultScaleDownEnabled()

      its possible that you only want a server to partake in scale down as a receiver, via a group. In this case set scale-down to false

    - #### getDefaultGroupingHandlerTimeout

          public static int getDefaultGroupingHandlerTimeout()

      How long to wait for a decision

    - #### getDefaultGroupingHandlerGroupTimeout

          public static int getDefaultGroupingHandlerGroupTimeout()

      How long a group binding will be used, -1 means for ever. Bindings are removed after this wait elapses. On the remote node this is used to determine how often you should re-query the main coordinator in order to update the last time used accordingly.

    - #### getDefaultGroupingHandlerReaperPeriod

          public static long getDefaultGroupingHandlerReaperPeriod()

      How often the reaper will be run to check for timed out group bindings. Only valid for LOCAL handlers

Copyright © 2015. All rights reserved.